version: '3.4'

services:
  server:
    build: .
    ports:
      - "3000:3000"
    volumes:
      - '.:/usr/src/web'
      - 'dependencies:/usr/src/web/node_modules'
    env_file:
      - '.env'
    depends_on:
      - db

  db:
    image: 'postgres:10.4-alpine'
    restart: always
    environment:
      POSTGRES_USER: 'test'
      POSTGRES_PASSWORD: 'test'
    volumes:
      - db:/var/lib/postgresql/data
    ports:
      - "5432:5432"

volumes:
  db:
  dependencies:
